<!-- [completion]="_getProgressPercentage()"-->
<div class="container-fluid hd-panel text-center">
    <div class="row">
        <div class="col-xs-12">
            <h1>Profile Progress</h1>

            <div id="circular-gauge">
                <svg height="200" width="200" viewBox="0 0 200 200" version="1.1" xmlns="http://www.w3.org/2000/svg" >
                    <filter id="inset-shadow">
                        <feComponentTransfer in=SourceAlpha>
                            <feFuncA type="table" tableValues="1 0" />
                        </feComponentTransfer>
                        <feGaussianBlur stdDeviation="1"/>
                        <feOffset dx="2" dy="1" result="offsetblur"/>
                        <feFlood flood-color="rgba(0,0,0,0.6)" result="color"/>
                        <feComposite in2="offsetblur" operator="in"/>
                        <feComposite in2="SourceAlpha" operator="in" />
                        <feMerge>
                            <feMergeNode in="SourceGraphic" />
                            <feMergeNode />
                        </feMerge>
                    </filter>
                    <filter id="inset-glow">
                        <feComponentTransfer in=SourceAlpha>
                            <feFuncA type="table" tableValues="1 0" />
                        </feComponentTransfer>
                        <feGaussianBlur stdDeviation="3"/>
                        <feOffset dx="0" dy="0" result="offsetblur"/>
                        <feFlood flood-color="rgb(48, 115, 221)" result="color"/>
                        <feComposite in2="offsetblur" operator="in"/>
                        <feComposite in2="SourceAlpha" operator="in" />
                        <feMerge>
                            <feMergeNode in="SourceGraphic" />
                            <feMergeNode />
                        </feMerge>
                    </filter>

                    <circle cx="100" cy="100" [attr.r]="radius" fill="transparent"
                            stroke-dashoffset="0" filter="url(#inset-shadow)"
                            [ngStyle]="{'stroke-dasharray': circumference+'px'}"/>
                    <circle id="bar" cx="100" cy="100" [attr.r]="radius" fill="transparent"
                            [ngStyle]="gaugeStyles()" filter="url(#inset-glow)"/>
                </svg>

                <div id="gauge-text">
                    {{ _getProgressPercentage() + '%'}}
                </div>
            </div>

            <div *ngIf="_getProgressPercentage() !== 100">
                <!-- "Up Next" Label -->
                <h2 class="up-next">Up Next:</h2>

                <!-- "Up Next" Value -->
                <a class="btn btn-default btn-hd-orange" (click)='_onClickUpNext()'>{{ "Add " + _getUpNextMessage() }}</a>
            </div>
        </div>
    </div>
</div>
